Distribution: 	CCux
Packager: 	Christian Metzen <metzench@ccux-linux.de>

Name: 		kdebluetooth4
Version: 	0.3
Release: 	1
Source0: 	%{name}-%{version}.tar.bz2
#Patch0:		%{name}-1.0_beta8-gcc43.patch
Summary: 	the %{name}-framework
License: 	GPL
Group: 		System/Configuration/Hardware

BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	bluez bluez-utils openobex obex-data-server
BuildRequires:	openobex-devel bluez-devel
BuildRequires:  obexftp-devel
#BuildRequires:  xorg-libs
BuildRequires:  kdelibs-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  glibc-devel
BuildRequires:  fam-devel
BuildRequires:  gtk+-devel
BuildRequires:  libidn-devel
BuildRequires:  glib-devel
BuildRequires:  libpng-devel
BuildRequires:  openobex-devel
BuildRequires:  qt4-devel
BuildRequires:  libstdc++-devel
BuildRequires:  xmms-devel
BuildRequires:  zlib-devel
Obsoletes:	kdebluetooth

%description
%{name} provides graphical KDE tools for handling connections with bluetooth devices

%package	devel
Summary:	%{name} development headers.
Group:		System/Libraries
Requires:	%{name} = %{version}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
ldconfig
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :


%prep
%setup -n %{name}-%{version} 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform} 
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=0

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

%files
%defattr(-,root,root)
/usr/bin/kbluetooth4
/usr/bin/kbluetooth4-devicemanager
/usr/bin/kbluetooth4-inputwizard
/usr/share/applications/kde4/kdebluetooth4.desktop
/usr/share/icons/hicolor/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 22 2009 Christian Metzen <metzench@ccux-linux.de> 0.3-1
- Version update
* Sun Sep 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2-4
- rebuilt against bluez 4.5
* Fri Sep 05 2008 Christian Metzen <metzench@ccux-linux.de> 0.2-3
- added obex-data-server as require
* Fri Sep 05 2008 Christian Metzen <metzench@ccux-linux.de> 0.2-2
- added xdg scriplets
* Fri Sep 05 2008 Christian Metzen <metzench@ccux-linux.de> 0.2-1
- Initial release of qt4 port, obsoletes kdebluetooth
